#import <Cocoa/Cocoa.h>

@class XeeController;

@interface XeeDelegate:NSObject
{
	NSNib *nib;
	BOOL filesopened;

	IBOutlet NSMenu *openmenu;
}

-(IBAction)openDocument:(id)sender;
-(IBAction)enterMovies:(id)sender;
-(IBAction)exitMovies:(id)sender;

-(void)menuNeedsUpdate:(NSMenu *)menu;
-(BOOL)menuHasKeyEquivalent:(NSMenu *)menu forEvent:(NSEvent *)event target:(id *)target action:(SEL *)action;
-(void)buildOpenMenu:(NSMenu *)menu;
-(void)updateDefaultEditorItem;
-(NSString *)defaultEditor;
-(void)setDefaultEditor:(NSString *)app;
-(IBAction)setDefaultEditorFromMenu:(id)sender;
-(IBAction)dummy:(id)sender;

-(XeeController *)newWindow;

@end

@interface XeeApplication:NSApplication
{
}

-(void)sendEvent:(NSEvent *)event;

@end
